no_hud = {};
no_hud.hud = false;
no_hud.modDir = g_currentModDirectory;

function no_hud:loadMap(name)
end;

function no_hud:deleteMap()
end;

function no_hud:mouseEvent(posX, posY, isDown, isUp, button)
end;

function no_hud:keyEvent(unicode, sym, modifier, isDown)
end;

function no_hud:update(dt)	
	if InputBinding.hasEvent(InputBinding.TOGGLE_HUD, true) then
		if(no_hud.hud) then
			g_currentMission.showHelpIcons = true;
			g_currentMission.showHelpText = true;
			g_currentMission.showHelpMenu = true;
			g_currentMission.showHudEnv = true;
			g_currentMission.showHudMissionBase = true;
			g_currentMission.renderTime = true;
			g_currentMission.showVehicleInfo = true;
			g_currentMission.showVehicleSchema = true;
			g_currentMission.showWeatherForecast = true;
			
			g_gameSettings:setValue("showHelpMenu", true);
			g_currentMission.player.pickedUpObjectOverlay:setIsVisible(true);
			
			no_hud.hud = false;
		else
			g_currentMission.showHelpIcons = false;
			g_currentMission.showHelpText = false;
			g_currentMission.showHelpMenu = false;
			g_currentMission.showHudEnv = false;
			g_currentMission.showHudMissionBase = false;
			g_currentMission.renderTime = false;
			g_currentMission.showVehicleInfo = false;
			g_currentMission.showVehicleSchema = false;
			g_currentMission.showWeatherForecast = false;
			
			g_gameSettings:setValue("showHelpMenu", false);
			g_currentMission.player.pickedUpObjectOverlay:setIsVisible(false);
			
			no_hud.hud = true;
		end;
	end
	
	if(no_hud.hud) then
		g_currentMission:addHelpButtonText(g_i18n:getText("input_TOGGLE_SHOW_HUD"), InputBinding.TOGGLE_HUD);
	else
		g_currentMission:addHelpButtonText(g_i18n:getText("input_TOGGLE_HIDE_HUD"), InputBinding.TOGGLE_HUD);
	end
end;

function no_hud:draw()
end;

addModEventListener(no_hud);
